RTEMS: rtems_telnetd_config_table Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
rtems_telnetd_config_table Struct Reference

Telnet configuration structure. More...

`#include <telnetd.h>`

## Data Fields
rtems_telnetd_command | command
| Function invoked for each Telnet connection.
void * | arg
| Argument for command function.
rtems_task_priority | priority
| Task priority.
size_t | stack_size
| Task stack size.
rtems_shell_login_check_t | login_check
| Login check function.
bool | keep_stdio
| This is an obsolete configuration option.
uint16_t | client_maximum
| Maximum number of clients which can connect to the system at a time.
uint16_t | port
| Server port number in host byte order.

## Detailed Description

Telnet configuration structure.

## Field Documentation

## ◆ client_maximum

uint16_t rtems_telnetd_config_table::client_maximum

Maximum number of clients which can connect to the system at a time.

Use 0 for the default value.

## ◆ command

rtems_telnetd_command rtems_telnetd_config_table::command

Function invoked for each Telnet connection.

The first parameter contains the device name. The second parameter contains the argument pointer of this configuration table.

## ◆ keep_stdio

bool rtems_telnetd_config_table::keep_stdio

This is an obsolete configuration option.

It must be set to false, otherwise rtems_telnetd_start() will do nothing and returns with a status of RTEMS_NOT_IMPLEMENTED.

## ◆ login_check

rtems_shell_login_check_t rtems_telnetd_config_table::login_check

Login check function.

Method used for login checks. Use `NULL` to disable a login check.

## ◆ port

uint16_t rtems_telnetd_config_table::port

Server port number in host byte order.

Use 0 for the default value.

## ◆ priority

rtems_task_priority rtems_telnetd_config_table::priority

Task priority.

Use 0 for the default value.

## ◆ stack_size

size_t rtems_telnetd_config_table::stack_size

Task stack size.

Use 0 for the default value.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/telnetd.h